function _createForOfIteratorHelper(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (!it) { if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; var F = function F() {}; return { s: F, n: function n() { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }, e: function e(_e) { throw _e; }, f: F }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); } var normalCompletion = true, didErr = false, err; return { s: function s() { it = it.call(o); }, n: function n() { var step = it.next(); normalCompletion = step.done; return step; }, e: function e(_e2) { didErr = true; err = _e2; }, f: function f() { try { if (!normalCompletion && it.return != null) it.return(); } finally { if (didErr) throw err; } } }; }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
// 判断文件类型, 共用方法, 请勿随意修改
function supportTypes(src, types) {
  if (!Array.isArray(types) || !types.length) {
    return true;
  }
  if (!src) {
    return false;
  }

  // 提取文件扩展名
  var fileExtension = src.split('?')[0].split('.');
  fileExtension = fileExtension[fileExtension.length - 1].toLowerCase();
  if (!fileExtension) return false;
  var _iterator = _createForOfIteratorHelper(types),
    _step;
  try {
    for (_iterator.s(); !(_step = _iterator.n()).done;) {
      var type = _step.value;
      if (type === 'image') {
        if (['jpeg', 'jpg', 'png', 'gif', 'bmp', 'tiff', 'tif', 'webp', 'svg'].includes(fileExtension)) return true;
      } else if (type === 'video') {
        if (['mp4', 'avi', 'mov', 'wmv', 'flv', 'mkv', 'mpeg', 'mpg', 'webm', '3gp', 'ogv'].includes(fileExtension)) return true;
      } else if (type === 'audio') {
        if (['mp3', 'wav', 'aac', 'flac', 'm4a', 'alac', 'ogg', 'wma', 'aiff', 'ape', 'opus'].includes(fileExtension)) return true;
      } else if (type === 'word') {
        if (['docx', 'doc'].includes(fileExtension)) return true;
      } else if (type === 'excel') {
        if (['xlsx', 'xls'].includes(fileExtension)) return true;
      } else if (type === 'ppt') {
        if (['pptx', 'ppt'].includes(fileExtension)) return true;
      } else if (type === 'text') {
        if (['txt'].includes(fileExtension)) return true;
      } else {
        if (fileExtension === type) return true;
      }
    }
  } catch (err) {
    _iterator.e(err);
  } finally {
    _iterator.f();
  }
  return false;
}
export default supportTypes;